<?php
namespace OCA\GroupfolderFilesystemSnapshots\Db;

use JsonSerializable;

use OCP\AppFramework\Db\Entity;

class DiffTaskResult extends Entity implements JsonSerializable {

    protected $taskId;
    protected $timestamp;
    protected $type;

    protected $beforeFileExists;
    protected $beforePath;
    protected $beforeSize;

    protected $currentFileExists;
    protected $currentPath;
    protected $currentSize;
	protected $reverted;

    public function __construct() {
        $this->addType('id','integer');
        $this->addType('taskId','integer');
        $this->addType('beforeFileExists','boolean');
        $this->addType('beforeSize','integer');
        $this->addType('currentFileExists','boolean');
        $this->addType('currentSize','integer');
		$this->addType('reverted','boolean');
    }

    public function jsonSerialize() {
        return [
            'id' => $this->id,
            'taskId' => $this->taskId,
            'type' => $this->type,
            'before' => [
                'fileExists' => $this->beforeFileExists,
                'path' => $this->beforePath,
                'size' => $this->beforeSize,
            ],
            'current' => [
                'fileExists' => $this->currentFileExists,
                'path' => $this->currentPath,
                'size' => $this->currentSize,
			],
			'reverted' => $this->reverted,
        ];
    }
}